local NAME, ADDON = ...

local djbags = {}
djbags.__index = djbags

--region Events

function djbags:ADDON_LOADED(name)
    if name ~= NAME then return end

    ADDON.settings = ADDON.settings

    ADDON.eventManager:RemoveEvent(self, 'ADDON_LOADED')
end

ADDON.eventManager:AddEvent(djbags, 'ADDON_LOADED')

--region Debug

SLASH_DBAG1, SLASH_DBAG2 = '/db', '/dbag'
function SlashCmdList.DBAG()
    ADDON.bagController:OpenBags()
end

SLASH_RL1 = '/rl'
function SlashCmdList.RL()
    ReloadUI()
end

--endregion